<?php

define('ENVIRONMENT', 'development');

if (defined('ENVIRONMENT'))
{
	switch (ENVIRONMENT)
	{
		case 'development':
			error_reporting(E_ALL);
		break;
	
		case 'testing':
		case 'production':
			error_reporting(0);
		break;

		default:
			exit('The application environment is not set correctly.');
	}
}

require_once ('libs/Bootstrap.php');
require_once ('libs/Controller.php');
require_once ('libs/View.php');
require_once ('libs/Model.php');
require_once ('libs/Config.php');
require_once ('libs/Includes.php');
require_once ('libs/Database.php');

$app = new Bootstrap();
